Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.spi
Class AbstractConnectionMetaData

    java.lang.Object
      |
      +--com.bea.adapter.spi.AbstractConnectionMetaData

public abstract class AbstractConnectionMetaData
extends java.lang.Object
implements javax.resource.spi.ManagedConnectionMetaData, javax.resource.cci.ConnectionMetaData

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`AbstractConnectionMetaData(AbstractManagedConnection myManagedConnection)`

Method Summary
`java.lang.String` | `getEISProductName()`
`java.lang.String` | `getEISProductVersion()`
`LogContext` | `getLogContext()` Retrieves an object that determines the logging configuration for this instance in the logging framework.
`ILogger` | `getLogger()` Retrieves an object used to log information to.
`int` | `getMaxConnections()`
`java.lang.String` | `getUserName()`
`protected abstract java.lang.String` | `readEISProductName(AbstractManagedConnection mc)`
`protected abstract java.lang.String` | `readEISProductVersion(AbstractManagedConnection mc)`
`protected abstract int` | `readMaxConnections(AbstractManagedConnection mc)`
`protected abstract java.lang.String` | `readUserName(AbstractManagedConnection mc)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractConnectionMetaData

    public AbstractConnectionMetaData(AbstractManagedConnection myManagedConnection)
                               throws javax.resource.ResourceException

Method Detail

### getLogContext

    public LogContext getLogContext()

  Retrieves an object that determines the logging configuration for this instance in the logging framework.

  Returns:
    an object that determines the logging configuration for this instance.

### getLogger

    public ILogger getLogger()

  Retrieves an object used to log information to.

  Returns:
    an object used to log information to.

### getEISProductName

    public java.lang.String getEISProductName()
                                       throws javax.resource.ResourceException

  Specified by:
    getEISProductName in interface javax.resource.spi.ManagedConnectionMetaData

### readEISProductName

    protected abstract java.lang.String readEISProductName(AbstractManagedConnection mc)
                                                    throws java.lang.Exception

### getEISProductVersion

    public java.lang.String getEISProductVersion()
                                          throws javax.resource.ResourceException

  Specified by:
    getEISProductVersion in interface javax.resource.spi.ManagedConnectionMetaData

### readEISProductVersion

    protected abstract java.lang.String readEISProductVersion(AbstractManagedConnection mc)
                                                       throws java.lang.Exception

### getMaxConnections

    public int getMaxConnections()
                          throws javax.resource.ResourceException

  Specified by:
    getMaxConnections in interface javax.resource.spi.ManagedConnectionMetaData

### readMaxConnections

    protected abstract int readMaxConnections(AbstractManagedConnection mc)
                                       throws java.lang.Exception

### getUserName

    public java.lang.String getUserName()
                                 throws javax.resource.ResourceException

  Specified by:
    getUserName in interface javax.resource.spi.ManagedConnectionMetaData

### readUserName

    protected abstract java.lang.String readUserName(AbstractManagedConnection mc)
                                              throws java.lang.Exception

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)